precision lowp int; 
precision lowp float;

uniform sampler2D SceneMap;
uniform sampler2D BloomTexture;


varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;

uniform mediump float bloombrightness;
uniform mediump float contrast;
uniform mediump float brightness;

void main() 
{
	
	vec4 bloomSample = texture2D(BloomTexture, uvs.xy) * bloombrightness;
	vec4 diffuseSample = texture2D(SceneMap, uvs.xy);

	vec3 col = diffuseSample.xyz + bloomSample.xyz;
	
	gl_FragColor.xyz = (((col - 0.5) * contrast) + 0.5) * brightness;

	gl_FragColor.a = 1.0;


}
