precision lowp int; 
precision highp float;

attribute mediump vec4 IN_position;
attribute lowp vec2 IN_uv;
attribute mediump vec4 IN_vertexcolour;

uniform mat4 worldmatrix;
uniform mat4 viewmatrix;
uniform mat4 projectionmatrix;

uniform mediump vec4 displaycolour;

varying lowp vec2 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;
varying lowp float ypos;

void main()
{
	uvs=IN_uv;
	vertexcolour= (IN_vertexcolour / 255.0) * (displaycolour / 255.0);
	gl_Position = (projectionmatrix * viewmatrix * worldmatrix  ) *  IN_position;
	ypos = IN_position.y;
}

